"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Icon = ({
  iconName,
  size,
  colorName,
  ...rest
}) => {
  const propsPicture = {
    ...rest,
    className: colorName ? `fill-${colorName} ${rest.className}` : ''
  };
  const getIconPath = () => {
    let Icon;
    try {
      const iconPath = iconName.split('/');
      Icon = require(`../../assets/icons/${iconPath[0]}/${iconPath[1]}.svg`);
    } catch (err) {
      Icon = require('../../assets/icons/action/placeholder.svg');
    }
    return Icon;
  };
  const Icon = getIconPath();
  return /*#__PURE__*/_react.default.createElement("picture", {
    ...propsPicture
  }, /*#__PURE__*/_react.default.createElement("source", {
    media: "(max-width:412px)",
    srcSet: Icon,
    width: size.xs.width,
    height: size.xs.height
  }), /*#__PURE__*/_react.default.createElement("source", {
    media: "(max-width:1430px)",
    srcSet: Icon,
    width: size.sm.width,
    height: size.sm.height
  }), /*#__PURE__*/_react.default.createElement("source", {
    media: "(max-width:1559px)",
    srcSet: Icon,
    width: size.md.width,
    height: size.md.height
  }), /*#__PURE__*/_react.default.createElement("source", {
    media: "(min-width:1560px)",
    srcSet: Icon,
    width: size.lg.width,
    height: size.lg.height
  }), /*#__PURE__*/_react.default.createElement("img", {
    src: Icon,
    alt: iconName,
    width: "auto"
  }));
};
var _default = Icon;
exports.default = _default;