"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = require("styled-components");
var _index = require("./themes/default/theme/index.js");
var _styleUtils = require("../utils/style-utils.js");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
// Importing default theme to be used when the user doesn't need to use a custom theme.

const GlobalColorClasses = (0, _styledComponents.createGlobalStyle)`
  ${(0, _styledComponents.css)`
    ${props => (0, _styleUtils.createColorClasses)(props.theme)}
    ${props => (0, _styleUtils.createMarginClasses)(props.theme)}
    ${props => (0, _styleUtils.createPaddingClasses)(props.theme)}
    ${() => (0, _styleUtils.createPositioningClasses)()}
  `}
`;
const BolttechThemeProvider = ({
  children,
  theme = _index.theme
}) => /*#__PURE__*/_react.default.createElement(_styledComponents.ThemeProvider, {
  theme: theme
}, /*#__PURE__*/_react.default.createElement(GlobalColorClasses, {
  theme: theme
}), children);
var _default = BolttechThemeProvider;
exports.default = _default;