export declare const theme: {
    colors: {
        content: {
            accent: string;
            base: string;
            subtle: string;
            weak: string;
            baseInverse: string;
            subtleInverse: string;
            weakInverse: string;
            danger: string;
            warning: string;
            success: string;
        };
        contentState: {
            accent: {
                hover: string;
                active: string;
                disable: string;
            };
            base: {
                hover: string;
                active: string;
                disable: string;
            };
            subtle: {
                hover: string;
                active: string;
                disable: string;
            };
            weak: {
                hover: string;
                active: string;
                disable: string;
            };
            baseInverse: {
                hover: string;
                active: string;
                disable: string;
            };
            subtleInverse: {
                hover: string;
                active: string;
                disable: string;
            };
            weakInverse: {
                hover: string;
                active: string;
                disable: string;
            };
            danger: {
                hover: string;
                active: string;
                disable: string;
            };
            warning: {
                hover: string;
                active: string;
                disable: string;
            };
            success: {
                hover: string;
                active: string;
                disable: string;
            };
        };
        background: {
            accent: string;
            accentLight: string;
            base: string;
            subtle: string;
            weak: string;
            dark: string;
            darkLight: string;
            transaction: string;
            danger: string;
            dangerLight: string;
            warning: string;
            warningLight: string;
            success: string;
            successLight: string;
        };
        backgroundState: {
            accent: {
                hover: string;
                active: string;
                disable: string;
            };
            accentLight: {
                hover: string;
                active: string;
                disable: string;
            };
            base: {
                hover: string;
                active: string;
                disable: string;
            };
            dark: {
                hover: string;
                active: string;
                disable: string;
            };
            darkLight: {
                hover: string;
                active: string;
                disable: string;
            };
            darkLightCopy: {
                hover: string;
                active: string;
                disable: string;
            };
            transaction: {
                hover: string;
                active: string;
                disable: string;
            };
        };
        border: {
            base: string;
            subtle: string;
            weak: string;
            dark: string;
            darkLight: string;
            accent: string;
            focus: string;
            danger: string;
            amber: string;
            success: string;
        };
        borderState: {
            dark: {
                hover: string;
                active: string;
                disable: string;
            };
            darkLight: {
                hover: string;
                active: string;
                disable: string;
            };
            accent: {
                hover: string;
                active: string;
                disable: string;
            };
            focus: {
                hover: string;
                active: string;
                disable: string;
            };
            danger: {
                hover: string;
                active: string;
                disable: string;
            };
            warning: {
                hover: string;
                active: string;
                disable: string;
            };
            success: {
                hover: string;
                active: string;
                disable: string;
            };
        };
    };
    effects: {
        shadow: {
            lvl0: string;
            lvl1: string;
            lvl2: string;
            lvl3: string;
            lvl4: string;
            lvl5: string;
        };
    };
    spacing: {
        borderRadius: {
            none: string;
            tiny: string;
            small: string;
            medium: string;
            elipse: string;
        };
    };
    typography: {
        desktop: {
            headings: {
                h1Light: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                h1: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                h2: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                h3: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                h4: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            body: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                tertiary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            label: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                tertiary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            input: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            button: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                tertiary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
        };
        mobile: {
            headings: {
                h1: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                h1Light: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                h2: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                h3: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                h4: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            body: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                tertiary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            label: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                tertiary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            input: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            button: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                tertiary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
        };
    };
    components: {
        button: {
            transaction: {
                container: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                icon: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
            };
            sm: {
                generic: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    borderRadius: string;
                };
                icon: {
                    size: string;
                };
                ghost: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    borderRadius: string;
                };
            };
            md: {
                generic: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    borderRadius: string;
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                icon: {
                    size: string;
                };
                ghost: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    borderRadius: string;
                };
            };
            lg: {
                generic: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    borderRadius: string;
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                icon: {
                    size: string;
                };
                ghost: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    borderRadius: string;
                };
            };
            brand: {
                container: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                icon: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
            };
            alternative: {
                container: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                icon: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
            };
            outline: {
                container: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                icon: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
            };
            ghost: {
                container: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                icon: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
            };
        };
        input: {
            icon: {
                size: string;
            };
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            contentGap: string;
            requiredGap: string;
            borderRadius: string;
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            required: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            inputPlaceholder: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            error: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            grey: {
                container: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        fieldLabel: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        inputPlaceholder: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        required: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        errorMessage: {
                            error: string;
                            errorFilled: string;
                        };
                    };
                };
                icon: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
            };
            border: {
                container: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        fieldLabel: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        inputPlaceholder: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        required: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        errorMessage: {
                            error: string;
                            errorFilled: string;
                        };
                    };
                };
                icon: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
            };
        };
        dropdown: {
            icon: {
                size: string;
            };
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            contentGap: string;
            requiredGap: string;
            grey: {
                container: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        fieldLabel: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        inputPlaceholder: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        required: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        errorMessage: {
                            error: string;
                            errorFilled: string;
                        };
                    };
                };
                icon: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
            };
            border: {
                container: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        fieldLabel: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        inputPlaceholder: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        required: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        errorMessage: {
                            error: string;
                            errorFilled: string;
                        };
                    };
                };
                icon: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
            };
            borderRadius: string;
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            error: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            inputPlaceholder: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            required: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        select: {
            paddingHorizontal: string;
            paddingVertical: string;
            container: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    header: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    header: string;
                    disable: string;
                };
            };
            gap: string;
            borderRadius: string;
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        table: {
            rowTable: {
                text: {
                    default: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
            };
            titleHeader: {
                text: {
                    default: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    color: string;
                };
                gap: string;
                paddingHorizontal: string;
                paddingVertical: string;
            };
            container: {
                border: {
                    color: {
                        default: string;
                    };
                };
                background: {
                    color: {
                        default: string;
                    };
                };
            };
            labelRow: {
                text: {
                    color: {
                        text: {
                            color: string;
                        };
                    };
                };
                icon: {
                    color: {
                        default: string;
                    };
                };
            };
            iconSort: {
                color: {
                    active: string;
                    default: string;
                };
            };
            sortIcon: {
                size: {
                    default: string;
                };
            };
            labelRowTable: {
                paddingHorizontal: string;
                paddingVertical: string;
            };
        };
        radioButton: {
            radioGroup: {
                gap: string;
            };
            gap: string;
            circle: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    focus: string;
                    error: string;
                    disableSelected: string;
                    disable: string;
                };
            };
            innerCircle: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    focus: string;
                    error: string;
                    disableSelected: string;
                    disable: string;
                };
            };
            focus: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    focus: string;
                    error: string;
                    selectedDisable: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    textLabel: {
                        default: string;
                        hover: string;
                        selected: string;
                        focus: string;
                        error: string;
                        disableSelected: string;
                        disable: string;
                    };
                    errorLabel: {
                        default: string;
                        hover: string;
                        selected: string;
                        focus: string;
                        error: string;
                        disableSelected: string;
                        disable: string;
                    };
                };
            };
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            errorLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        checkbox: {
            gap: string;
            square: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    hoverSelected: string;
                    focus: string;
                    error: string;
                    disableSelected: string;
                    disable: string;
                };
            };
            innerSquare: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    hoverSelected: string;
                    focus: string;
                    error: string;
                    disableSelected: string;
                    disable: string;
                };
            };
            focus: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    hoverSelected: string;
                    focus: string;
                    error: string;
                    selectedDisable: string;
                    disable: string;
                };
            };
            checkmark: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    hoverSelected: string;
                    focus: string;
                    error: string;
                    selectedDisable: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    textLabel: {
                        default: string;
                        hover: string;
                        selected: string;
                        hoverSelected: string;
                        focus: string;
                        error: string;
                        disableSelected: string;
                        disable: string;
                    };
                    errorLabel: {
                        default: string;
                        hover: string;
                        selected: string;
                        hoverSelected: string;
                        focus: string;
                        error: string;
                        disableSelected: string;
                        disable: string;
                    };
                };
            };
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            errorLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        segmentControl: {
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            error: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            container: {
                color: {
                    default: string;
                    pressed: string;
                    pressedError: string;
                };
            };
            text: {
                color: {
                    default: string;
                    pressed: string;
                    error: string;
                };
            };
            border: {
                color: {
                    default: string;
                    pressed: string;
                    pressedError: string;
                };
            };
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        tabs: {
            basic: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                container: {
                    color: {
                        default: string;
                        active: string;
                        hover: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                        active: string;
                        hover: string;
                        disable: string;
                    };
                };
                border: {
                    color: {
                        default: string;
                        active: string;
                        hover: string;
                        disable: string;
                    };
                };
                borderRadius: string;
                fieldLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                outsideBorder: {
                    color: {
                        generic: string;
                    };
                };
            };
            card: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                container: {
                    color: {
                        default: string;
                        active: string;
                        hover: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                        active: string;
                        hover: string;
                        disable: string;
                    };
                };
                border: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                borderRadius: string;
                fieldLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                outsideBorder: {
                    color: {
                        generic: string;
                    };
                };
            };
        };
        accordion: {
            icon: {
                size: string;
                color: {
                    default: string;
                    hover: string;
                    disable: string;
                };
            };
            header: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                color: {
                    default: string;
                    hover: string;
                    disable: string;
                };
            };
            content: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                color: {
                    default: string;
                    hover: string;
                };
            };
            text: {
                color: {
                    title: {
                        default: string;
                        hover: string;
                        disable: string;
                    };
                    content: {
                        default: string;
                        hover: string;
                    };
                };
            };
            border: {
                color: {
                    default: string;
                    hover: string;
                    disable: string;
                };
            };
            titleLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            contentLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        accordions: {
            borderRadius: string;
        };
        tile: {
            icon: {
                size: string;
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    disable: string;
                };
            };
            img: {
                sizeWidth: string;
                sizeHeight: string;
                opacity: string;
            };
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            container: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    disable: string;
                };
            };
            border: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    disable: string;
                };
            };
            textLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        border: {
            borderRadius: string;
        };
        accordionGroup: {
            gap: string;
        };
        inputNumber: {
            icon: {
                size: string;
            };
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            contentGap: string;
            requiredGap: string;
            grey: {
                container: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        fieldLabel: {
                            default: string;
                            filled: string;
                            focus: string;
                            errorFilled: string;
                            disable: string;
                        };
                        inputPlaceholder: {
                            default: string;
                            filled: string;
                            focus: string;
                            errorFilled: string;
                            disable: string;
                        };
                        required: {
                            default: string;
                            filled: string;
                            focus: string;
                            errorFilled: string;
                            disable: string;
                        };
                        errorMessage: {
                            error: string;
                            errorFilled: string;
                        };
                    };
                };
                icon: {
                    color: {
                        default: string;
                        disable: string;
                    };
                };
            };
            border: {
                container: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        errorFilled: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        filled: string;
                        focus: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        fieldLabel: {
                            default: string;
                            filled: string;
                            focus: string;
                            errorFilled: string;
                            disable: string;
                        };
                        inputPlaceholder: {
                            default: string;
                            filled: string;
                            focus: string;
                            errorFilled: string;
                            disable: string;
                        };
                        required: {
                            default: string;
                            filled: string;
                            focus: string;
                            errorFilled: string;
                            disable: string;
                        };
                        errorMessage: {
                            error: string;
                            errorFilled: string;
                        };
                    };
                };
                icon: {
                    color: {
                        default: string;
                        disable: string;
                    };
                };
            };
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            required: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            inputPlaceholder: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            error: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            borderRadius: string;
        };
        rangeSlider: {
            gap: string;
            lineAccent: {
                color: {
                    default: string;
                    disable: string;
                };
            };
            lineBackground: {
                color: {
                    default: string;
                    disable: string;
                };
            };
            knob: {
                color: {
                    default: string;
                    active: string;
                    disable: string;
                };
                border: {
                    default: string;
                    active: string;
                    disable: string;
                };
            };
            valueLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            textLabel: {
                color: {
                    default: string;
                    disable: string;
                };
            };
        };
        topTagline: {
            paddingHorizontal: string;
            paddingVertical: string;
            container: {
                color: {
                    default: string;
                };
            };
            text: {
                color: {
                    default: string;
                };
            };
            textLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        textArea: {
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            contentGap: string;
            requiredGap: string;
            grey: {
                container: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        fieldLabel: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        inputPlaceholder: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        required: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        errorMessage: {
                            error: string;
                            errorFilled: string;
                        };
                    };
                };
            };
            border: {
                container: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        fieldLabel: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        inputPlaceholder: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        required: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        errorMessage: {
                            error: string;
                            errorFilled: string;
                        };
                    };
                };
            };
            borderRadius: string;
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            required: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            inputPlaceholder: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            error: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        sectionHeader: {
            safeZone: string;
            gap: string;
            container: {
                color: {
                    default: string;
                };
            };
            text: {
                color: {
                    default: string;
                };
            };
            textLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        progressBar: {
            lineAccent: {
                color: {
                    default: string;
                    disable: string;
                };
            };
            lineBackground: {
                color: {
                    default: string;
                    disable: string;
                };
            };
            textLabel: {
                color: {
                    default: string;
                    disable: string;
                };
            };
            safeZone: string;
            gap: string;
            valueLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        topTaglogin: {
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            contentGap: string;
            icon: {
                size: string;
                color: {
                    default: string;
                };
            };
            container: {
                color: {
                    default: string;
                };
            };
            text: {
                color: {
                    fieldLabel: {
                        disable: string;
                    };
                };
            };
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        verticalCard: {
            grey: {
                container: {
                    color: {
                        default: string;
                        hover: string;
                    };
                    border: {
                        default: string;
                        hover: string;
                        disable: string;
                    };
                };
                title: {
                    color: {
                        default: string;
                        hover: string;
                    };
                };
                description: {
                    color: {
                        default: string;
                        hover: string;
                    };
                };
            };
            mobile: {
                pictogram: {
                    size: string;
                };
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                title: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                description: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            desktop: {
                pictogram: {
                    size: string;
                };
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                title: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                description: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            light: {
                container: {
                    color: {
                        default: string;
                        hover: string;
                    };
                    border: {
                        default: string;
                        hover: string;
                    };
                };
                title: {
                    color: {
                        default: string;
                        hover: string;
                    };
                };
                description: {
                    color: {
                        default: string;
                        hover: string;
                    };
                };
            };
            borderRadius: string;
            shadow: {
                default: string;
                hover: string;
            };
        };
        stepper: {
            icon: {
                size: string;
                completed: string;
                error: string;
            };
            indicator: {
                gap: string;
                paddingVertical: string;
            };
            circle: {
                default: string;
                selected: string;
                completed: string;
                error: string;
            };
            border: {
                default: string;
                selected: string;
                completed: string;
                error: string;
            };
            text: {
                default: string;
                selected: string;
            };
            textTitle: {
                fontFamily: any;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
            };
            textIndicator: {
                fontFamily: any;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
            };
            lineStepper: {
                default: string;
            };
            rowContent: {
                gap: string;
            };
            content: {
                paddingBottom: string;
                gap: string;
            };
            wrapper: string;
        };
        price: {
            text: {
                accent: string;
                base: string;
                danger: string;
            };
            mobile: {
                small: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                medium: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            desktop: {
                small: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                medium: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            gap: string;
        };
        testimonialCard: {
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            container: {
                color: {
                    default: string;
                };
            };
            text: {
                color: {
                    userLocatioin: {
                        default: string;
                    };
                    title: {
                        default: string;
                    };
                    body: {
                        default: string;
                    };
                    userName: {
                        default: string;
                    };
                };
            };
            desktop: {
                titleLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                bodyLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                userLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                locationLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            img: {
                sizeWidth: string;
                sizeHeight: string;
            };
            mobile: {
                titleLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                bodyLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                userLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                locationLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
        };
        divider: {
            desktop: {
                paddingVertical: string;
                gap: string;
                text: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            mobile: {
                paddingVertical: string;
                gap: string;
                text: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            text: {
                default: string;
            };
            border: {
                default: string;
            };
        };
        pagination: {
            gap: string;
            pages: {
                icon: {
                    size: string;
                    default: string;
                };
                typography: {
                    color: {
                        default: string;
                    };
                };
                text: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
        };
        rating: {
            icon: {
                size: string;
                color: {
                    default: string;
                };
            };
            gap: string;
        };
        carousel: {
            gap: string;
            indicatorGap: string;
            indicator: {
                background: {
                    active: string;
                    default: string;
                };
                gap: string;
            };
        };
        sideMenu: {
            icon: {
                size: string;
            };
            gap: string;
            contentGap: string;
            textLabel: {
                color: {
                    active: string;
                    default: string;
                };
            };
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        chips: {
            icon: {
                size: string;
                sizeSmall: string;
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    disable: string;
                };
            };
            media: {
                size: string;
            };
            medium: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            small: {
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
            };
            large: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
            };
            borderRadius: string;
            container: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                };
            };
            border: {
                color: {
                    default: string;
                };
            };
            text: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    disable: string;
                };
            };
        };
        productCard: {
            carrier: {
                asset: {
                    size: string;
                };
            };
            highlight: {
                icon: {
                    size: string;
                    color: {
                        default: string;
                    };
                };
                gap: string;
                paddingHorizontal: string;
                paddingVertical: string;
                background: {
                    color: {
                        default: string;
                    };
                };
                border: {
                    color: {
                        default: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                    };
                };
                label: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            addOns: {
                icon: {
                    size: string;
                    color: {
                        base: {
                            default: string;
                            selected: string;
                        };
                        accent: {
                            default: string;
                            selected: string;
                        };
                    };
                };
                text: {
                    color: {
                        coverageLabel: {
                            default: string;
                            selected: string;
                        };
                    };
                };
                specialCoverages: {
                    text: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
            };
            card: {
                gap: string;
                paddingHorizontal: string;
                paddingVertical: string;
                background: {
                    color: {
                        default: string;
                        selected: string;
                    };
                };
                border: {
                    color: {
                        default: string;
                        selected: string;
                    };
                };
            };
            planInfo: {
                mobile: {
                    gap: string;
                };
                desktop: {
                    gap: string;
                };
                mainInfo: {
                    gap: string;
                    priceGap: string;
                    nameGap: string;
                    contentGap: string;
                };
                coverageSummary: {
                    gap: string;
                    contentGap: string;
                };
                compare: {
                    gap: string;
                };
                addOns: {
                    optional: {
                        gap: string;
                    };
                    special: {
                        gap: string;
                        contentGap: string;
                    };
                    itemGap: {
                        desktop: string;
                        mobile: string;
                    };
                };
                background: {
                    color: {
                        default: string;
                        selected: string;
                    };
                };
                text: {
                    color: {
                        mainInfo: {
                            productName: {
                                default: string;
                                selected: string;
                            };
                            carrierName: {
                                default: string;
                                selected: string;
                            };
                            duration: {
                                default: string;
                                selected: string;
                            };
                        };
                        coverageSummary: {
                            coverage: {
                                default: string;
                                selected: string;
                            };
                            price: {
                                default: string;
                                selected: string;
                            };
                        };
                        compare: {
                            label: {
                                default: string;
                                hover: string;
                                selected: string;
                            };
                        };
                    };
                };
            };
            coverageDetail: {
                icon: {
                    size: string;
                    color: {
                        default: string;
                        selected: string;
                    };
                };
                gap: string;
                contentGap: string;
                price: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                coverage: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                text: {
                    color: {
                        coverage: {
                            default: string;
                            selected: string;
                        };
                        price: {
                            default: string;
                            selected: string;
                        };
                        error: {
                            default: string;
                            selected: string;
                        };
                    };
                };
            };
            coverageContainer: {
                gap: string;
                rowGap: string;
                paddingVertical: string;
                paddingHorizontal: string;
                background: {
                    color: {
                        default: string;
                        selected: string;
                    };
                };
                text: {
                    color: {
                        title: {
                            default: string;
                            selected: string;
                        };
                    };
                };
                title: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            actions: {
                gap: string;
            };
            borderRadius: string;
            shadow: {
                default: string;
                selected: string;
            };
            mainInfo: {
                productName: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                carrierName: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                duration: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            coverageSummary: {
                price: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                coverage: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            compare: {
                label: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            wrapper: {
                gap: string;
            };
        };
        descriptionWrapper: {
            icon: {
                small: {
                    size: string;
                };
                large: {
                    size: string;
                };
                color: {
                    default: string;
                    included: string;
                };
            };
            gap: string;
            contentGap: string;
            small: {
                placeholder: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                label: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            text: {
                color: {
                    label: {
                        default: string;
                    };
                    placeholder: {
                        default: string;
                        error: string;
                    };
                };
            };
            large: {
                paddingVertical: string;
                borderRadius: string;
                placeholder: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                label: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            container: {
                border: string;
            };
        };
        collapse: {
            pictogram: {
                size: string;
                color: {
                    main: string;
                    accent: string;
                };
            };
            icon: {
                size: string;
                color: {
                    default: string;
                    error: string;
                    success: string;
                };
            };
            desktop: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                header: {
                    gap: string;
                    paddingVertical: string;
                };
                label: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            mobile: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                header: {
                    paddingVertical: string;
                    gap: string;
                };
                label: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            borderRadius: string;
            default: string;
            selected: string;
            container: {
                color: {
                    default: string;
                };
            };
            border: {
                color: {
                    default: string;
                    error: string;
                    focus: string;
                    success: string;
                };
            };
            label: {
                color: {
                    default: string;
                };
            };
            borderDivider: {
                color: {
                    default: string;
                };
            };
        };
        collapseGroup: {
            desktop: {
                gap: string;
            };
            mobile: {
                gap: string;
            };
        };
        breadcrumb: {
            icon: {
                size: string;
                color: {
                    default: string;
                };
            };
            gap: string;
            cotentGap: string;
            label: {
                inactive: {
                    color: {
                        default: string;
                    };
                };
                active: {
                    color: {
                        default: string;
                    };
                };
            };
            textLabel: {
                color: {
                    default: string;
                    current: string;
                };
            };
        };
        tooltip: {
            short: {
                paddingHorizontal: string;
                paddingVertical: string;
            };
            long: {
                paddingHorizontal: string;
                paddingVertical: string;
            };
            label: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            shadow: string;
            borderRadius: string;
            background: {
                color: {
                    light: string;
                    grey: string;
                    dark: string;
                };
            };
            text: {
                color: {
                    light: string;
                    grey: string;
                    dark: string;
                };
            };
        };
        spinner: {
            gap: string;
            background: {
                color: {
                    dark: string;
                    light: string;
                };
            };
        };
        loadingHorizontal: {
            gap: string;
            background: {
                color: {
                    dark: string;
                    light: string;
                };
            };
            dark: {
                rectangle: {
                    1: string;
                    2: string;
                    3: string;
                };
            };
            light: {
                rectangle: {
                    1: string;
                    2: string;
                    3: string;
                };
            };
            'rectangle 1': {
                borderRadius: string;
            };
            'rectangle 2': {
                borderRadius: string;
            };
            'rectangle 3': {
                borderRadius: string;
            };
        };
        loadingMessage: {
            text: {
                color: {
                    title: {
                        dark: string;
                        light: string;
                    };
                    contentText: {
                        dark: string;
                        light: string;
                    };
                };
                gap: string;
            };
            title: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            contentText: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            gap: string;
        };
        spinnerBox: {
            background: {
                color: {
                    dark: string;
                    light: string;
                };
            };
        };
        footer: {
            desktop: {
                rightsReserved: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                poweredBy: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                stack: {
                    title: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    subtitle: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    gap: string;
                };
                wrapper: {
                    gap: {
                        default: string;
                    };
                };
                links: {
                    gap: {
                        default: string;
                    };
                };
                paddingHorizontal: string;
                paddingVertical: string;
                carrier: {
                    gap: string;
                };
                options: {
                    gap: string;
                };
            };
            mobile: {
                rightsReserved: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                poweredBy: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                stack: {
                    title: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    subtitle: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    gap: string;
                };
                wrapper: {
                    gap: {
                        default: string;
                    };
                };
                links: {
                    gap: {
                        default: string;
                    };
                };
                options: {
                    gap: {
                        default: string;
                    };
                };
                coutainer: {
                    gap: {
                        default: string;
                    };
                };
                paddingHorizontal: string;
                paddingVertical: string;
                carrier: {
                    gap: string;
                    textStyle: {
                        default: {
                            fontFamily: string;
                            fontWeight: string;
                            lineHeight: string;
                            fontSize: string;
                            letterSpacing: string;
                            paragraphSpacing: string;
                            textDecoration: string;
                            textCase: string;
                        };
                    };
                };
            };
            background: {
                color: {
                    default: string;
                };
            };
            button: {
                color: {
                    default: string;
                };
            };
            poweredBy: {
                color: {
                    default: string;
                };
            };
            allRightsReserved: {
                color: {
                    default: string;
                };
            };
            stack: {
                title: {
                    color: {
                        default: string;
                    };
                };
                subtitle: {
                    color: {
                        default: string;
                    };
                };
            };
        };
        header: {
            paddingHorizontal: string;
            paddingVertical: string;
            leftContent: {
                gap: string;
            };
            headerMenu: {
                textLinks: {
                    gap: string;
                    bottom: {
                        padding: string;
                    };
                };
                rightContent: {
                    gap: string;
                    icons: {
                        gap: string;
                    };
                    langSelector: {
                        gap: string;
                    };
                    icon: string;
                };
            };
            container: {
                gap: string;
            };
            typography: {
                text: {
                    color: {
                        default: string;
                        active: string;
                    };
                    border: {
                        default: string;
                        active: string;
                    };
                };
            };
            rightContent: {
                langSelector: {
                    text: {
                        color: {
                            default: string;
                        };
                    };
                    line: {
                        color: {
                            default: string;
                        };
                    };
                    generic: {
                        textLabel: {
                            fontFamily: any;
                            fontWeight: string;
                            lineHeight: string;
                            fontSize: string;
                            letterSpacing: string;
                        };
                    };
                };
            };
            textLinks: {
                generic: {
                    textLabel: {
                        default: {
                            fontFamily: string;
                            fontWeight: string;
                            lineHeight: string;
                            fontSize: string;
                            letterSpacing: string;
                            paragraphSpacing: string;
                            textDecoration: string;
                            textCase: string;
                        };
                        selected: {
                            fontFamily: string;
                            fontWeight: string;
                            lineHeight: string;
                            fontSize: string;
                            letterSpacing: string;
                            paragraphSpacing: string;
                            textDecoration: string;
                            textCase: string;
                        };
                    };
                };
            };
            wrapper: {
                background: {
                    color: {
                        default: string;
                    };
                };
                border: {
                    color: {
                        default: string;
                    };
                };
            };
            mobile: {
                paddingHorizontal: string;
                paddingVertical: string;
                wrapper: {
                    background: {
                        color: string;
                    };
                    border: {
                        color: {
                            default: string;
                        };
                    };
                };
                burguerMenu: {
                    color: string;
                };
            };
        };
        avatar: {
            container: {
                image: {
                    size: string;
                };
                icon: {
                    size: string;
                };
                radius: string;
            };
            gap: string;
            typography: {
                color: {
                    text: {
                        default: string;
                    };
                };
                name: {
                    default: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                    };
                };
            };
        };
        modal: {
            titleHeader: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                icon: {
                    color: {
                        default: string;
                    };
                    size: string;
                };
                typography: {
                    color: {
                        default: string;
                    };
                    default: {
                        fontFamily: any;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                    };
                };
            };
            content: {
                paddingHorizontal: string;
                paddingVertical: string;
                border: {
                    color: {
                        default: string;
                    };
                };
            };
            wrapperButtons: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
            };
            background: {
                color: {
                    default: string;
                };
            };
            shadow: string;
        };
        tag: {
            background: {
                color: {
                    darkLight: string;
                    warning: string;
                    dangerLight: string;
                    accentLight: string;
                    successLight: string;
                    null: string;
                };
            };
            text: {
                color: {
                    default: string;
                };
            };
            paddingHorizontal: string;
            paddingVertical: string;
            textLabel: {
                default: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                bold: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            table: {
                labelRowTable: {
                    icon: {
                        size: string;
                    };
                    text: {
                        paddingVertical: string;
                    };
                };
            };
        };
        summaryCard: {
            titleWrapper: {
                icon: {
                    size: string;
                };
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                header: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    color: {
                        default: string;
                    };
                };
                fieldLabel: {
                    color: {
                        default: string;
                    };
                };
            };
            planDetailsWrapper: {
                paddingVertical: string;
                paddingHorizontal: string;
                fieldLabel: {
                    default: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                    };
                    color: {
                        default: string;
                    };
                };
                coverageSummary: {
                    paddingVertical: string;
                    gap: string;
                };
            };
            priceWrapper: {
                paddingHorizontal: string;
                totalPriceLabel: {
                    gap: string;
                    finalPrice: {
                        color: {
                            default: string;
                        };
                    };
                    timeSet: {
                        color: {
                            default: string;
                        };
                    };
                };
                fieldLabel: {
                    color: {
                        default: string;
                    };
                };
            };
            priceDetailsWrapper: {
                fieldLabel: {
                    default: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                    };
                };
                totalPriceLabel: {
                    default: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                    };
                    timeSet: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                    };
                };
            };
            actionWrapper: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                legalText: {
                    label: {
                        color: {
                            default: string;
                        };
                    };
                };
                loyalityText: {
                    default: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
            };
            container: {
                color: {
                    default: string;
                };
            };
            shadow: string;
        };
        successCard: {
            shadow: string;
            headerCard: {
                carrier: {
                    asset: {
                        size: string;
                    };
                };
                paddingVertical: string;
                paddingHorizontal: string;
                gap: string;
                text: {
                    color: {
                        default: string;
                    };
                };
            };
            cardInfo: {
                carrier: {
                    asset: {
                        size: string;
                    };
                };
                paddingVertical: string;
                paddingHorizontal: string;
                gap: string;
                planInfo: {
                    gap: string;
                };
                productName: {
                    text: {
                        default: string;
                    };
                };
                carrierName: {
                    text: {
                        default: string;
                    };
                };
                text: {
                    productName: {
                        default: {
                            fontFamily: string;
                            fontWeight: string;
                            lineHeight: string;
                            fontSize: string;
                            letterSpacing: string;
                            paragraphSpacing: string;
                            textDecoration: string;
                            textCase: string;
                        };
                    };
                    carrierName: {
                        default: {
                            fontFamily: string;
                            fontWeight: string;
                            lineHeight: string;
                            fontSize: string;
                            letterSpacing: string;
                            paragraphSpacing: string;
                            textDecoration: string;
                            textCase: string;
                        };
                    };
                };
                rowCoverage: {
                    gap: string;
                };
            };
            summary: {
                icon: {
                    size: string;
                    color: {
                        default: string;
                    };
                };
                paddingVertical: string;
                paddingHorizontal: string;
                gap: string;
                special: {
                    itemGap: {
                        gap: string;
                    };
                    gap: string;
                };
                text: {
                    color: {
                        default: string;
                    };
                    default: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
            };
            background: {
                default: string;
            };
            header: {
                text: {
                    default: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
            };
        };
        sidePanel: {
            countainer: {
                shadow: string;
            };
            desktop: {
                countainer: {
                    paddingHorizontalLeft: string;
                    paddingHorizontalRight: string;
                    paddingVerticalBottom: string;
                    paddingVerticalTop: string;
                    gap: string;
                    background: {
                        color: {
                            default: string;
                        };
                    };
                    border: {
                        color: {
                            default: string;
                        };
                    };
                };
            };
            mobile: {
                paddingHorizontalLeft: string;
                countainer: {
                    paddingHorizontalLeft: string;
                    gap: string;
                    paddingVerticalTop: string;
                    paddingVerticalBottom: string;
                    paddingHorizontalRight: string;
                    background: {
                        color: {
                            default: string;
                        };
                    };
                    border: {
                        color: {
                            default: string;
                        };
                    };
                };
                background: {
                    color: {
                        default: string;
                    };
                };
            };
        };
        calendar: {
            day: {
                typography: {
                    color: {
                        default: string;
                        otherMonth: string;
                        disabled: string;
                    };
                };
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                background: {
                    color: {
                        default: string;
                        hover: string;
                    };
                };
                border: {
                    color: {
                        default: string;
                        today: string;
                    };
                };
                paddingHorizontal: string;
                paddingVertical: string;
            };
            header: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                background: {
                    color: {
                        default: string;
                    };
                };
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                text: {
                    color: {
                        default: string;
                    };
                };
                icon: {
                    size: string;
                    color: {
                        default: string;
                    };
                };
            };
            weeks: {
                paddingHorizontal: string;
                paddingVertical: string;
                background: {
                    color: {
                        default: string;
                    };
                };
            };
            container: {
                shadow: string;
            };
            buttons: {
                paddingVertical: string;
                gap: string;
                paddingHorizontal: string;
                border: {
                    color: {
                        default: string;
                    };
                };
            };
        };
        notification: {
            paddingVertical: string;
            paddingHorizontal: string;
            background: {
                color: {
                    default: string;
                    warning: string;
                    error: string;
                    success: string;
                    accent: string;
                    null: string;
                };
            };
            text: {
                color: {
                    default: string;
                };
            };
            icon: {
                size: string;
                color: {
                    default: string;
                };
            };
            textLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            gap: string;
        };
        search: {
            icon: {
                size: string;
            };
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            borderRadius: string;
            grey: {
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                container: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        filled: string;
                        focus: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        inputPlaceholder: {
                            default: string;
                            filled: string;
                            focus: string;
                            disable: string;
                        };
                    };
                };
                icon: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        disable: string;
                    };
                };
            };
            border: {
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                container: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        filled: string;
                        focus: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        inputPlaceholder: {
                            default: string;
                            filled: string;
                            focus: string;
                            disable: string;
                        };
                    };
                };
                icon: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        disable: string;
                    };
                };
            };
        };
        calendarPicker: {
            icon: {
                size: string;
            };
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            contentGap: string;
            requiredGap: string;
            grey: {
                container: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        fieldLabel: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        inputPlaceholder: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        required: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        errorMessage: {
                            error: string;
                            errorFilled: string;
                        };
                    };
                };
                icon: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
            };
            border: {
                container: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        fieldLabel: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        inputPlaceholder: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        required: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        errorMessage: {
                            error: string;
                            errorFilled: string;
                        };
                    };
                };
                icon: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
            };
            borderRadius: string;
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            required: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            inputPlaceholder: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            error: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        compare: {
            productSelectionClose: {
                select: {
                    desktop: {
                        icon: {
                            size: string;
                        };
                        image: {
                            size: string;
                        };
                        header: {
                            paddingVertical: string;
                            paddingHorizontal: string;
                            icon: {
                                color: string;
                            };
                        };
                        productName: {
                            gap: string;
                            paddingHorizontal: string;
                            paddingVertical: string;
                            textLabel: {
                                color: string;
                            };
                        };
                        countainer: {
                            background: {
                                color: {
                                    selected: string;
                                };
                            };
                            border: {
                                color: {
                                    selected: string;
                                };
                            };
                        };
                    };
                    mobile: {
                        icon: {
                            size: string;
                        };
                        image: {
                            size: string;
                        };
                        header: {
                            paddingVertical: string;
                            paddingHorizontal: string;
                            icon: {
                                color: string;
                            };
                        };
                        productName: {
                            gap: string;
                            paddingHorizontal: string;
                            paddingVertical: string;
                            textLabel: {
                                color: string;
                            };
                        };
                        countainer: {
                            background: {
                                color: {
                                    selected: string;
                                };
                            };
                            border: {
                                color: {
                                    selected: string;
                                };
                            };
                        };
                    };
                };
                default: {
                    desktop: {
                        image: {
                            size: string;
                        };
                        paddingVertical: string;
                        paddingHorizontal: string;
                        countainer: {
                            background: {
                                color: {
                                    selected: string;
                                };
                            };
                            border: {
                                color: {
                                    selected: string;
                                };
                            };
                        };
                    };
                    mobile: {
                        image: {
                            size: string;
                        };
                        paddingVertical: string;
                        paddingHorizontal: string;
                        countainer: {
                            background: {
                                color: {
                                    selected: string;
                                };
                            };
                            border: {
                                color: {
                                    selected: string;
                                };
                            };
                        };
                    };
                };
                desktop: {
                    productName: {
                        text: {
                            default: {
                                fontFamily: string;
                                fontWeight: string;
                                lineHeight: string;
                                fontSize: string;
                                letterSpacing: string;
                                paragraphSpacing: string;
                                textDecoration: string;
                                textCase: string;
                            };
                        };
                    };
                };
                mobile: {
                    productName: {
                        text: {
                            default: {
                                fontFamily: string;
                                fontWeight: string;
                                lineHeight: string;
                                fontSize: string;
                                letterSpacing: string;
                                paragraphSpacing: string;
                                textDecoration: string;
                                textCase: string;
                            };
                        };
                    };
                };
                padding_none: string;
            };
            coverageCompare: {
                icon: {
                    size: string;
                    color: {
                        included: string;
                        notIncluded: string;
                    };
                };
                gap: string;
                paddingVertical: string;
                paddingHorizontal: string;
                text: {
                    color: {
                        included: string;
                    };
                };
                label: {
                    default: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
            };
            productSelectionOpen: {
                gap: string;
                paddingHorizontal: string;
                paddingVertical: string;
                productName: {
                    textLabel: {
                        color: string;
                    };
                    text: {
                        default: {
                            fontFamily: string;
                            fontWeight: string;
                            lineHeight: string;
                            fontSize: string;
                            letterSpacing: string;
                            paragraphSpacing: string;
                            textDecoration: string;
                            textCase: string;
                        };
                    };
                };
                countainer: {
                    background: {
                        color: {
                            selected: string;
                        };
                    };
                    border: {
                        color: {
                            selected: string;
                        };
                    };
                };
            };
            openRows: {
                mobile: {
                    gap: string;
                    paddingVertical: string;
                    paddingHorizontal: string;
                    rowCoverage: {
                        gap: {
                            gap: string;
                        };
                    };
                    headerRow: {
                        text: {
                            default: {
                                fontFamily: string;
                                fontWeight: string;
                                lineHeight: string;
                                fontSize: string;
                                letterSpacing: string;
                                paragraphSpacing: string;
                                textDecoration: string;
                                textCase: string;
                            };
                        };
                    };
                };
                desktop: {
                    gap: string;
                    paddingVertical: string;
                    paddingHorizontal: string;
                    rowCoverage: {
                        gap: {
                            gap: string;
                        };
                    };
                    headerRow: {
                        text: {
                            default: {
                                fontFamily: string;
                                fontWeight: string;
                                lineHeight: string;
                                fontSize: string;
                                letterSpacing: string;
                                paragraphSpacing: string;
                                textDecoration: string;
                                textCase: string;
                            };
                        };
                    };
                };
                headerRow: {
                    color: string;
                };
                border: {
                    color: {
                        selected: string;
                    };
                };
            };
            close: {
                desktop: {
                    topHeader: {
                        icon: {
                            size: string;
                            color: {
                                default: string;
                            };
                        };
                        gap: string;
                        paddingVertical: string;
                        paddingHorizontal: string;
                        background: {
                            color: {
                                default: string;
                            };
                        };
                        text: {
                            color: {
                                default: string;
                            };
                            default: {
                                fontFamily: string;
                                fontWeight: string;
                                lineHeight: string;
                                fontSize: string;
                                letterSpacing: string;
                                paragraphSpacing: string;
                                textDecoration: string;
                                textCase: string;
                            };
                        };
                    };
                    rowProductSelection: {
                        actions: {
                            gap: string;
                            paddingVertical: string;
                            paddingHorizontal: string;
                        };
                        gap: string;
                        paddingVertical: string;
                        paddingHorizontal: string;
                    };
                    rowPlans: {
                        background: {
                            color: {
                                default: string;
                            };
                        };
                    };
                };
                mobile: {
                    topHeader: {
                        icon: {
                            size: string;
                            color: {
                                default: string;
                            };
                        };
                        gap: string;
                        paddingVertical: string;
                        paddingHorizontal: string;
                        background: {
                            color: {
                                default: string;
                            };
                        };
                        text: {
                            color: {
                                default: string;
                            };
                            default: {
                                fontFamily: string;
                                fontWeight: string;
                                lineHeight: string;
                                fontSize: string;
                                letterSpacing: string;
                                paragraphSpacing: string;
                                textDecoration: string;
                                textCase: string;
                            };
                        };
                    };
                    rowProductSelection: {
                        actions: {
                            gap: string;
                            paddingVertical: string;
                            paddingHorizontal: string;
                        };
                        gap: string;
                        paddingVertical: string;
                        paddingHorizontal: string;
                    };
                    rowPlans: {
                        background: {
                            color: {
                                default: string;
                            };
                        };
                    };
                    actions: {
                        background: {
                            color: {
                                default: string;
                            };
                        };
                        border: {
                            color: {
                                default: string;
                            };
                        };
                    };
                };
            };
            productSelectionCompare: {
                shadow: {
                    selected: string;
                    default: string;
                };
            };
            open: {
                desktop: {
                    wrapper: {
                        topHeader: {
                            gap: string;
                            paddingVertical: string;
                            rowProducts: {
                                paddingHorizontal: string;
                                gap: string;
                            };
                        };
                        paddingVertical: string;
                        titleCategories: {
                            paddingVertical: string;
                            paddingHorizontal: string;
                        };
                    };
                    titleCategories: {
                        text: {
                            default: {
                                fontFamily: string;
                                fontWeight: string;
                                lineHeight: string;
                                fontSize: string;
                                letterSpacing: string;
                                paragraphSpacing: string;
                                textDecoration: string;
                                textCase: string;
                            };
                        };
                    };
                    topHeader: {
                        background: {
                            color: {
                                default: string;
                            };
                        };
                    };
                    rowPlans: {
                        background: {
                            color: {
                                default: string;
                            };
                        };
                        titleSection: {
                            text: {
                                color: {
                                    default: string;
                                };
                            };
                        };
                    };
                };
                mobile: {
                    wrapper: {
                        topHeader: {
                            gap: string;
                            paddingVertical: string;
                            rowProducts: {
                                paddingHorizontal: string;
                                gap: string;
                            };
                        };
                        paddingVertical: string;
                        titleCategories: {
                            paddingVertical: string;
                            paddingHorizontal: string;
                        };
                    };
                    titleCategories: {
                        text: {
                            default: {
                                fontFamily: string;
                                fontWeight: string;
                                lineHeight: string;
                                fontSize: string;
                                letterSpacing: string;
                                paragraphSpacing: string;
                                textDecoration: string;
                                textCase: string;
                            };
                        };
                    };
                    topHeader: {
                        background: {
                            color: {
                                default: string;
                            };
                        };
                    };
                    rowPlans: {
                        background: {
                            color: {
                                default: string;
                            };
                        };
                        titleSection: {
                            text: {
                                color: {
                                    default: string;
                                };
                            };
                        };
                    };
                };
            };
            EmptySvg: {
                icon: {
                    color: string;
                };
            };
        };
        icon: {
            color: {
                navy: string;
            };
        };
        filters: {
            desktop: {
                countainer: {
                    paddingHorizontalLeft: string;
                    paddingHorizontalRight: string;
                    paddingVertical: string;
                    gap: string;
                    background: {
                        color: {
                            default: string;
                        };
                    };
                };
                header: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    borderLine: {
                        color: {
                            default: string;
                        };
                    };
                    title: {
                        text: {
                            color: {
                                default: string;
                            };
                        };
                    };
                    text: {
                        default: {
                            fontFamily: string;
                            fontWeight: string;
                            lineHeight: string;
                            fontSize: string;
                            letterSpacing: string;
                            paragraphSpacing: string;
                            textDecoration: string;
                            textCase: string;
                        };
                    };
                };
                filtersApplied: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    rowChips: {
                        gap: {
                            gap: string;
                        };
                    };
                    borderLine: {
                        color: {
                            default: string;
                        };
                    };
                    title: {
                        text: {
                            color: {
                                default: string;
                            };
                        };
                    };
                    text: {
                        default: {
                            fontFamily: string;
                            fontWeight: string;
                            lineHeight: string;
                            fontSize: string;
                            letterSpacing: string;
                            paragraphSpacing: string;
                            textDecoration: string;
                            textCase: string;
                        };
                    };
                };
                actions: {
                    paddingHorizontal: string;
                    gap: string;
                };
            };
            mobile: {
                countainer: {
                    paddingHorizontalLeft: string;
                    paddingHorizontalRight: string;
                    paddingVerticalTop: string;
                    paddingVerticalBottom: string;
                    gap: string;
                    background: {
                        color: {
                            default: string;
                        };
                    };
                    border: {
                        color: {
                            default: string;
                        };
                    };
                };
                filtersApplied: {
                    paddingVertical: string;
                    gap: string;
                    rowChips: {
                        gap: {
                            gap: string;
                        };
                    };
                    borderLine: {
                        color: {
                            default: string;
                        };
                    };
                    title: {
                        text: {
                            color: {
                                default: string;
                            };
                        };
                    };
                    text: {
                        default: {
                            fontFamily: string;
                            fontWeight: string;
                            lineHeight: string;
                            fontSize: string;
                            letterSpacing: string;
                            paragraphSpacing: string;
                            textDecoration: string;
                            textCase: string;
                        };
                    };
                };
                actions: {
                    gap: string;
                };
                horizontalPadding: string;
                background: {
                    color: {
                        default: string;
                    };
                };
                filtersResult: {
                    title: {
                        text: {
                            color: {
                                default: string;
                            };
                        };
                    };
                    text: {
                        default: {
                            fontFamily: string;
                            fontWeight: string;
                            lineHeight: string;
                            fontSize: string;
                            letterSpacing: string;
                            paragraphSpacing: string;
                            textDecoration: string;
                            textCase: string;
                        };
                    };
                };
                shadow: string;
            };
        };
        loadingSpinner: {
            dark: {
                rectangle: {
                    1: string;
                    2: string;
                };
            };
            light: {
                rectangle: {
                    1: string;
                    2: string;
                };
            };
            background: {
                color: {
                    dark: string;
                    light: string;
                };
            };
            'rectangle 1': {
                borderRadius: string;
            };
            'rectangle 2': {
                borderRadius: string;
            };
        };
        toggle: {
            on: {
                hover: {
                    track: {
                        active: string;
                    };
                    handle: {
                        active: string;
                    };
                    stateLayer: {
                        active: string;
                        opacity: string;
                    };
                    icon: {
                        active: string;
                    };
                };
                disabled: {
                    track: {
                        active: string;
                    };
                    handle: {
                        active: string;
                    };
                    icon: {
                        active: string;
                    };
                };
                selected: {
                    track: {
                        active: string;
                    };
                    handle: {
                        active: string;
                    };
                    icon: {
                        active: string;
                    };
                };
                handle: {
                    size: string;
                };
                stateLayer: {
                    size: string;
                };
                icon: {
                    size: string;
                };
            };
            off: {
                selected: {
                    track: {
                        border: string;
                        background: string;
                    };
                    handle: {
                        active: string;
                    };
                    icon: {
                        active: string;
                    };
                };
                hover: {
                    track: {
                        border: string;
                        background: string;
                    };
                    handle: {
                        active: string;
                    };
                    icon: {
                        active: string;
                    };
                    stateLayer: {
                        active: string;
                        opacity: string;
                    };
                };
                disabled: {
                    track: {
                        border: string;
                        background: string;
                    };
                    handle: {
                        active: string;
                    };
                    icon: {
                        active: string;
                    };
                };
                handleIconOff: {
                    size: string;
                };
                stateLayer: {
                    size: string;
                };
                handleIconOn: {
                    size: string;
                };
                icon: {
                    size: string;
                };
            };
            track: {
                borderRadius: string;
            };
        };
    };
    tokens: {
        fontFamily: {
            nonEnglish: string;
            default: string;
        };
        fontWeight: {
            bold: string;
            light: string;
            regular: string;
        };
        letterSpacing: {
            S: string;
            M: string;
            L: string;
            XL: string;
        };
        fontSize: {
            50: string;
            75: string;
            100: string;
            125: string;
            150: string;
            200: string;
            300: string;
            400: string;
            500: string;
        };
        lineHeight: {
            50: string;
            100: string;
            150: string;
            200: string;
            250: string;
            300: string;
            350: string;
            400: string;
        };
        textDecoration: {
            none: string;
            underline: string;
        };
        textCase: {
            none: string;
            ' capitalize': string;
            ' uppercase': string;
        };
        paragraphSpacing: {
            none: string;
        };
        padding: {
            NONE: string;
            XXXS: string;
            XXS: string;
            XS: string;
            S: string;
            M: string;
            'M+': string;
            L: string;
            'L+': string;
            XL: string;
            '2XL': string;
            '3XL': string;
            '4XL': string;
        };
        flexbox: {
            XXS: string;
            XS: string;
            S: string;
            M: string;
            L: string;
            XL: string;
            '2XL': string;
            '3XL': string;
            '4XL': string;
            '5XL': string;
            '6XL': string;
        };
        borderRadius: {
            XS: string;
            S: string;
            M: string;
            L: string;
            XL: string;
        };
        borderWidth: {
            S: string;
            M: string;
        };
        elevation: {
            0: string;
            20: string;
            40: string;
            60: string;
            80: string;
            100: string;
        };
        cyan: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
        };
        navy: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
        };
        yellow: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
        };
        neutral: {
            100: string;
            200: string;
            250: string;
            300: string;
            400: string;
            500: string;
            600: string;
            650: string;
            700: string;
            800: string;
            900: string;
        };
        red: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
        };
        green: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
        };
        amber: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
        };
        null: {
            100: string;
        };
    };
};
